Bug 1118899 - rubygem-staypuft: Unable to select/highlight the value strings of parameters for copying.
Summary: rubygem-staypuft: Unable to select/highlight the value strings of parameters ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rubygem-staypuft
Version: 5.0 (RHEL 7)
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: Installer
Assignee: Mike Burns
QA Contact: Alexander Chuzhoy
URL: https://trello.com/c/4aEzEymg/273-ux-...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-11 20:36 UTC by Alexander Chuzhoy
Modified: 2015-04-29 14:48 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-29 14:48:27 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Alexander Chuzhoy 2014-07-11 20:36:52 UTC
rubygem-staypuft: Unable to select/highlight the value strings of parameters for copying.
Environment:
rhel-osp-installer-0.1.0-2.el6ost.noarch
ruby193-rubygem-staypuft-0.1.11-1.el6ost.noarch
openstack-foreman-installer-2.0.13-1.el6ost.noarch
ruby193-rubygem-foreman_openstack_simplify-0.0.6-7.el6ost.noarch
openstack-puppet-modules-2014.1-18.1.el6ost.noarch

Steps to reproduce:

1. install rhel-osp-installer.
2. Create a deployment of Nova with 3 hosts (1 controller +2 compute)
3. Go to Configure -> Host groups
4. Click on base_RedHat_7/<Deployment name>/Controller (Nova)
5. Go to the Parameters tab.
6. Try to select the value of any parameter.

Result:
Can't select the value.

Expected result:
Should be able to select the value with a mouse for copying/pasting it.

Comment 2 Arthur Berezin 2014-07-14 12:37:39 UTC
Which browser were you using Sasha?

Comment 3 Alexander Chuzhoy 2014-07-14 13:30:04 UTC
I used Firefox 24.4.0.

Comment 6 Ami Jeain 2014-08-10 15:04:52 UTC
still not fixed in the latest 8/8 puddle.
Was tested on firefox 24.6.0

Comment 7 Mike Burns 2014-08-11 12:44:01 UTC
This screen is a generic foreman screen, not a staypuft screen.  Moving to Foreman.

As a workaround, for the parameters you want, they're exposed in the the advanced configuration view.  Any options that are calculated have the value available there and copy-able. Any that are not based on a formula can be copied by going into the "edit" screen and copying there.


Note You need to log in before you can comment on or make changes to this bug.